=== debian/changelog ===
stkeys (0.1) unstable; urgency=low

  * Initial Release.

 -- Ted van den Brink <ted@digistate.nl>  Tue, 26 Oct 2010 19:30:28 +0000
