=== debian/control ===
Source: stkeys
Section: user/network
Priority: extra
Maintainer: Ted van den Brink <ted@digistate.nl>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.3
Homepage: http://peejseej.nl/

Package: stkeys
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Program to decode Speedtouch WPA key
 With this application you can decode the WPA2 key of Speedtouch modems.
