## stkeys 0.2

=== debian/changelog ===
stkeys (0.2) unstable; urgency=low

  * Minor changes

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 20:53:35 +0000
