=== debian/control ===
--- 
+++ 
@@ -9,5 +9,4 @@
 Package: stkeys
 Architecture: armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Program to decode Speedtouch WPA key
- With this application you can decode the WPA2 key of Speedtouch modems.
+Description: Stkeys is an utility to recover the default WPA key from certain Thomson routers using the default SSID, for example the Speedtouch 780.
