## stkeys 0.3

=== debian/changelog ===
stkeys (0.3) unstable; urgency=low

  * More minor changes

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 21:37:55 +0000
 
