=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.3
 Homepage: http://peejseej.nl/
+XSBC-Bugtracker: mailto:ted@digistate.nl
 
 Package: stkeys
 Architecture: armel
