## stkeys 0.4

=== debian/changelog ===
stkeys (0.4) unstable; urgency=low

  * Added icon

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 21:44:17 +0000
 
