## stkeys 0.5

=== debian/changelog ===
stkeys (0.5) unstable; urgency=low

  * Fixed bug when called from command line

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 22:15:18 +0000
 
