=== debian/control ===
--- 
+++ 
@@ -5,6 +5,11 @@
 Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.3
 Homepage: http://peejseej.nl/
+
+Package: stkeys
+Architecture: armel
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Stkeys is an utility to recover the default WPA key from certain Thomson routers using the default SSID, for example the Speedtouch 780.
 XSBC-Bugtracker: mailto:ted@digistate.nl
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
@@ -64,8 +69,3 @@
  X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
  4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
  5l7y6xMAAAAASUVORK5CYII=
-
-Package: stkeys
-Architecture: armel
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Stkeys is an utility to recover the default WPA key from certain Thomson routers using the default SSID, for example the Speedtouch 780.
