## stkeys 0.6

=== debian/changelog ===
stkeys (0.6) unstable; urgency=low

  * Removed unnecessary dependency

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 22:20:19 +0000
 
