=== debian/changelog ===
stkeys (0.7) unstable; urgency=low

  * Removed unnecessary dependency (second try)

 -- Ted van den Brink <ted@digistate.nl>  Tue, 27 Oct 2010 22:29:20 +0000
 
